Seth Woolley's Man Viewer

sorcery(8) - sorcery, sorcery, xsorcery - menu-driven software package management utility - man 8 sorcery

([section] manual, -k keyword, -K [section] search, -f whatis)
man plain no title

SORCERY(8)                   System Administration                  SORCERY(8)



NAME
       sorcery, xsorcery - menu-driven software package management utility

SYNOPSIS
       sorcery [action]

EXAMPLE
       To get your system up to date, type sorcery system-update

DESCRIPTION
       sorcery  is  an easy-to-use menu-driven (dialog-based) interface to the
       sorcery source-based package management system.

OPTIONS
       Note that all  calls  to  sorcery  with  options  are  semi-interactive
       (prompts  time(1,2,n)  out) or non-interactive, so they can be run from a cron
       script or something similar.

       Only sorcery without options will start the menu-driven package manage-
       ment utility.

   -u|update(7,n)
       Updates  the  sorcery scripts only.  This option is non-interactive and
       does not start up the  menu-driven interface. It is suitable for use in(1,8)
       cron jobs.

   -s|system-update
       Perform  a  system  update(7,n)  (updates sorcery, grimoire, and spells).  [
       scribe update(7,n), sorcery queue(1,3), cast --queue ]

   -g|upgrade
       Update spells without first updating the grimoire.   [  sorcery  queue(1,3),
       cast --queue ]

   -q|queue(1,3)
       Compare  installed  grimoire  to  installed  spells,  generate queue(1,3) of
       spells needing to be updated.

   -r|rebuild
       Automatically rebuilds all installed software packages. This option  is
       non-interactive  except for a bunch of config(1,5) and depends questions the
       first time(1,2,n) you run it.

   hold <spell|s>
       sets <spell|s> to held.  This means that they stay installed, but  that
       cast  will  refuse  to  cast  them.  This  will prevent them from being
       updated or changed at all.  This might be helpful if(3,n) you change  kernel
       versions and the package won't build right on the new system, but still
       install (wrong).

   unhold <spell|s>
       unholds <spell|s>, changes their status from held back to installed.

   exile <spell|s>
       sets <spell|s> to exiled.  This means that they won't be  installed  in(1,8)
       any way, sorcery just ignores them.

   unexile <spell|s>
       removes  exiled  status  from  <spell|s>.   This means that they can be
       installed again.

   default <action> <on> <what> on|off
       This is a sorcery feature to pre-answer some  depends  questions.  They
       will still be asked, but they will default to what you set(7,n,1 builtins) this to.

       Generally,  <on> is what spell will be used.  <what> can be a spell, in(1,8)
       that case on or off is the default answer to  the  "optionally  depends
       on" question.

       <what> can also be a feature name.  All spells will default to use <on>
       as the provider for that then.  If it is an optional depends, they will
       use nothing if(3,n) set(7,n,1 builtins) to off, and the provider if(3,n) set(7,n,1 builtins) to on.

   default add <on>|"" <what>|"" on|off
       This  adds a default statement to the list.  Either <on> or <what> (not
       both) can be "", in(1,8) which case they work as wildcards (anything  <what>
       depends on / anything that depends on <on>)

   default remove|search [<on>|"" [<what>|"" [on|off]]]
       These  are  used  to  search or modify the defaults list.  Anything not
       specified or blank will be a wildcard.  Everything that matches will be
       removed/shown.

   -v|--version
       Displays  the  version(1,3,5) number of your sorcery package.  Always use this
       information when filing bugs.

   -h|--help
       Displays a short help message.

REQUIREMENTS
       While sorcery does not strictly require a connection to  the  Internet,
       it  is  highly  recommended  (for  updates and especially for sources).
       While there are some 56k modem users(1,5), broadband is recommended too.

   Bash
       version(1,3,5) 2 or higher

   Dialog
       version(1,3,5) 0.9a or higher

   Linux
       kernel version(1,3,5) 2.4.x or 2.6.x

       and a bunch of other software.

NOTES
       Options on the Package Menu add or  remove  software  packages  to/from
       installation  and  removal  queues.   The  actual  installation  and/or
       removal of the packages will not be performed until  either  Foreground
       Execution or Background Execution are selected from the main menu.

OPERATION
       Navigating the Menus

       To return to a previous menu(3x,n,n tk_menuSetFocus) press <Esc> or use the Cancel button

       To  exit(3,n,1 builtins)  the  program from the main menu(3x,n,n tk_menuSetFocus) press <Esc> or use the Cancel
       button

       To toggle between buttons press <Tab>

       To select(2,7,2 select_tut) whichever button is highlighted press <Enter>

       To select(2,7,2 select_tut)/deselect items from a checklist press <Space>

AUTHOR
       Original version(1,3,5) by Kyle Sallee, and updated Thomas Stewart and Karsten
       Behrmann.

       Maintained     by     the     Source     Mage     GNU     Linux    Team
       (http://www.sourcemage.org)

REPORTING BUGS
       Report bugs to bugzilla <http://bugs.sourcemage.org>

SEE ALSO
       alter(8), cast(8), cleanse(8), dispel(8), gaze(1), grimoire(5),  scrib-
       bler(8), scribe(8), sorcery_config(8), summon(8)

WARRANTY
       This is free software with ABSOLUTELY NO WARRANTY





Source Mage GNU Linux            November 2004                      SORCERY(8)

References for this manual (incoming links)